Zum Hauptinhalt springen
POST
/
cms
/
v3
/
pages
/
site-pages
/
batch
/
read
Website-Seiten abrufen
curl --request POST \
  --url https://api.hubapi.com/cms/v3/pages/site-pages/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "abTestId": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "pageRedirected": true,
      "password": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "slug": "<string>",
      "state": "<string>",
      "subcategory": "<string>",
      "templatePath": "<string>",
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

archived
boolean

Ob nur Ergebnisse zurückgegeben werden sollen, die archiviert wurden.

Body

application/json

Wrapper for providing an array of strings as inputs.

inputs
string[]
erforderlich

Die einzugebenden Zeichenfolgen.

Antwort

successful operation

Response object for successful batch operations on pages.

completedAt
string<date-time>
erforderlich

Abschlusszeit des Batch-Vorgangs.

results
object[]
erforderlich

Ergebnisse des Batch-Vorgangs.

startedAt
string<date-time>
erforderlich

Startzeit des Batch-Vorgangs.

status
enum<string>
erforderlich

Status des Batch-Vorgangs.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Links verknüpft mit dem Batch-Vorgang.

requestedAt
string<date-time>

Zeit der Anfrage eines Batch-Vorgangs.

Last modified on April 13, 2026